<<

# Bugzilla::Config::Common

- NAME
- DESCRIPTION
  - Functions
- Methods in need of POD

# NAME

Bugzilla::Config::Common - Parameter checking functions

# DESCRIPTION

All parameter checking functions are called with two parameters: the value to check, and a hash with the details of the param (type, default etc.) as defined in the relevant Bugzilla::Config::* package.

## Functions

`check_multi`

  Checks that a multi-valued parameter (ie types `s`, `o` or `m`) satisfies its contraints.

`check_numeric`

  Checks that the value is a valid number

`check_regexp`

  Checks that the value is a valid regexp

`check_comment_taggers_group`

  Checks that the required modules for comment tagging are installed, and that a valid group is provided.

# Methods in need of POD

check_notification
check_priority
check_ip
check_user_verify_class
check_bug_status
check_shadowdb
check_smtp_server
check_smtp_auth
check_url
check_urlbase
check_email
check_webdotbase
check_font_file
get_param_list
check_maxattachmentsize
check_utf8
check_group
check_opsys
check_platform
check_severity
check_sslbase
check_mail_delivery_method
check_theschwartz_available
check_smtp_ssl

<<